Subject: Re: [Roll] P2P hop-by-hop routes

From: Mukul Goyal <[email-masked]>
Date: Sun, 18 Jul 2010 02:55:51 -0500 (CDT)

Hi,

Coming back to this issue since I need to add text to the P2P draft in this regard.

> Now when router A receives a packet marked with RPLInstanceID 'i' and
> going to destination P, which state should it use to forward the
> packet further?

[Richard]It uses the D flag in the hop-by-hop header to determine if
the source or destination address is the DODAGID, and looks
up the DODAGID+RPLInstanceID in the hop-by-hop states.

There is nothing defined inside the RPL option (hui-6man-rpl-option) so far. I guess a future version of this draft or RPL draft will add the sub-TLVs for RPlInstanceID and the D flag Richard mentioned?

Thanks
Mukul

----- Original Message -----
From: "Richard Kelsey" <[email-masked]>
To: "Mukul Goyal" <[email-masked]>
Cc: [email-masked]
Sent: Monday, June 21, 2010 3:41:10 PM
Subject: Re: [Roll] P2P hop-by-hop routes

> Date: Mon, 21 Jun 2010 14:43:37 -0500 (CDT)
> From: Mukul Goyal <[email-masked]>
>
> Here is the problem I was referring to:
>
> Suppose that:
>
> 1) routers X and Y both discover hop-by-hop routes to the same target
> router P but with different metrics/constraints;
>
> 2) both route discoveries end up using temporary DAGs with same
> RPLInstanceID 'i';

Then 'i' must be a "local" RPLInstanceID (because they are
both using the same one). In that case, the DAGs are
identified by the combination of the RPLInstanceID and the
DODAGID, which here would be the IPv6 address of the origin
router.

> 3) an intermediate router A is part of both hop-by-hop routes and
> hence establishes two separate hop-by-hop states.

Those hop-by-hop states would need to include the
RPLInstanceIDs and DODAGIDs of the DAGs used to create the
routes. A "local" RPLInstanceID is not sufficient on its
own.

> Now when router A receives a packet marked with RPLInstanceID 'i' and
> going to destination P, which state should it use to forward the
> packet further?

It uses the D flag in the hop-by-hop header to determine if
the source or destination address is the DODAGID, and looks
up the DODAGID+RPLInstanceID in the hop-by-hop states.

-Richard Kelsey